Index: connection.c
===================================================================
RCS file: /usr/local/cvsroot/psqlodbc/psqlodbc/connection.c,v
retrieving revision 1.103
diff -u -r1.103 connection.c
--- connection.c	5 Aug 2005 12:19:48 -0000	1.103
+++ connection.c	11 Aug 2005 09:19:48 -0000
@@ -3189,7 +3189,11 @@
 		trim(cmdbuffer); /* get rid of trailing space */
 		ptr = strrchr(cmdbuffer, ' ');
 		if (ptr)
+#ifdef USE_LIBPQ
+			qres->recent_processed_row_count = atoi(PQcmdTuples(pgres));
+#else
 			qres->recent_processed_row_count = atoi(ptr + 1);
+#endif	/* USE_LIBPQ */
 		else
 			qres->recent_processed_row_count = -1;
 	}
Index: results.c
===================================================================
RCS file: /usr/local/cvsroot/psqlodbc/psqlodbc/results.c,v
retrieving revision 1.76
diff -u -r1.76 results.c
--- results.c	22 Jul 2005 22:05:57 -0000	1.76
+++ results.c	11 Aug 2005 09:20:52 -0000
@@ -55,13 +55,14 @@
 		return SQL_INVALID_HANDLE;
 	}
 	ci = &(SC_get_conn(stmt)->connInfo);
+#ifndef USE_LIBPQ
 	if (stmt->manual_result)
 	{
 		if (pcrow)
 			*pcrow = -1;
 		return SQL_SUCCESS;
 	}
-
+#endif	/* USE_LIBPQ */
 	res = SC_get_Curres(stmt);
 	if (res && pcrow)
 	{
